# $Id: smeserver-phpldapadmin.spec,v 1.2 2008/04/02 15:03:59 slords Exp $
# Authority: nocvs
# Name: Michel Van hees

Summary: PhpLdapAdmin for SME server
%define name smeserver-phpldapadmin
Name: %{name}
%define version 0.9.8.3
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 7
AutoReqProv: no

%changelog
* Thu Jun  26 2007 Michel Van hees <michel@vanhees.cc>
- Restart contrib from scratch
- Use of phpldapadmin 0.9.8.3

%description
SME server - phpmyadmin multiuser for smeserver

%prep
%setup
#%patch0 -p1
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post
/sbin/e-smith/db configuration set phpldapadmin service
/sbin/e-smith/db configuration setprop phpldapadmin access private

/sbin/e-smith/expand-template /opt/phpldapadmin/config/config.php
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
service httpd-e-smith sigusr1


case "${LANG:0:2}" in
    fr)
        echo ""
        echo "Vous pouvez maintenant acceder  phpldapadmin via un browser web de la maniere suivante https://nom_server/phpldapadmin"
        echo "Vous pouvez vous connecter avec le login admin et le mot de passe du systme"
        echo ""
        echo "Attention !!!!!"
        echo "phpldapadmin est limit en accs au rseau interne, donc pas depuis internet"
        echo "Vous pouvez changer cette option avec les commandes :"
        echo "db configuration setprop phpldapadmin access public"
        echo "signal-events console-save"
        echo ""
    ;;
    *)
        echo ""
        echo "Now you can access phpldapadmin though your browser at  https://server_name/phpldapadmin"
        echo "You can connect using system admin login and password"
        echo ""
        echo "BEWARE !!!"
        echo "phpldapadmin is now limited to internal network, so it couldn't be access from internet"
        echo "You can change this with the following command :"
        echo "db configuration setprop phpldapadmin access public"
        echo "signal-events console-save"
        echo ""
    ;;
esac

%postun
/sbin/e-smith/db configuration delete phpldapadmin
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
service httpd-e-smith sigusr1

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
